gnutls_psk_set_client_credentials(3)

NAME
gnutls_psk_set_client_credentials - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_set_client_credentials(gnutls_psk_client_credentials_t res, const char * username, const gnutls_datum_t * key, gnutls_psk_key_flags flags);

ARGUMENTS

gnutls_psk_client_credentials_t res
    is a gnutls_psk_client_credentials_t structure.

const char * username
    is the user's zero-terminated userid

const gnutls_datum_t * key
    is the user's key

gnutls_psk_key_flags flags

DESCRIPTION
This function sets the username and password, in a gnutls_psk_client_credentials_t structure. Those will be used in PSK authentication. username should be an ASCII string or UTF-8 strings prepared using the "SASLprep" profile of "stringprep". The key can be either in raw byte format or in Hex format (without the 0x prefix).

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.